petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscStageLogGetClassPerfLog

This function returns the PetscClassPerfLog for the given stage.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetClassPerfLog(PetscStageLog stageLog, int stage, PetscClassPerfLog *classLog)

Not Collective

### Input Parameters

| stageLog | - The PetscStageLog
| stage | - The stage

### Output Parameter

classLog -The PetscClassPerfLog

### Keywords

log, stage

### See Also

PetscStageLogPush(), PetscStageLogPop(), PetscLogGetStageLog()

### Level

developer

### Location

src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages